Subject: bug#20984: 25.0.50; Combining accents don't display properly in certain fonts

From: handa <[email-masked]>
Date: Thu, 09 Jul 2015 18:27:08 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > From: handa <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > Date: Mon, 06 Jul 2015 23:59:14 +0900
> > 
> > > >   [0 1 0 626 8 1 6 8 -3 nil]
> > > >   [0 1 0 734 0 1 5 11 -9 [0 0 0]]
> > 
> > I tried that font on my Lubuntu system with Emacs 24.5 and the latest
> > trunk version.  I see no problem with 24.5, i.e. a-grave is correctly
> > displayed, but see the same problem as yours with trunk version.
> > 
> > So, it seems that something was broken recently.

> Could it be my latest changes related to fontsets?  Though then the
> Windows build should have been affected as well.

I don't think so.  Your change is related to font selection, and in the
current case, the font is correctly selected.

> The composition data above looks wrong, doesn't it?  Like if the 'a'
> part of the grapheme cluster comes from some different codepoint, not
> from 'a', am I right?

The above data is completely broken.  The 3rd element of each vector is
a character code, and it should be 97 and 768 respectively.

In my case too, the latest trunk Emacs returns the same vector as above,
and, Emacs 24.5 returns this:

  [0 1 97 28 8 -1 8 7 0 nil]
  [0 1 768 733 8 1 6 10 -8 [-8 0 0]]

---
K. Handa
[email-masked]